Get all export jobs
get
https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v5/exportJob
Returns a list of export jobs that match the search criteria.
Request
Query Parameters
-
createdBy: string
The job request submitter name.
-
fields: string
The comma-separated field names that are returned in the response. The field names are the names that you specify when you create or retrieve a resource.
-
filenamePrefix: string
The user defined optional file name prefix.
-
id: string
The unique ID of the resource item.
-
limit: integer
The number of resources to be returned in the response. The minimum value that can be specified is 1, and the maximum value that can be specified is 100,000. If the specified value is greater than 100,000, then it defaults to 100,000.
-
offset: string
The record number from which the retrieval starts. The default value is zero. If no value is specified, then it defaults to zero. The value zero indicates that the retrieval will start from the beginning of the collection.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
The list of export jobs was returned successfully.
Nested Schema : ExportJobOracle
Title:
ExportJobOracleMatch All
Show Source
-
object
ExportJob
Title:
ExportJobDiscriminator:{ "propertyName":"@type", "mapping":{ "ExportJob":"#/components/schemas/ExportJob", "ExportJobOracle":"#/components/schemas/ExportJobOracle" } }The task that exports resources to a file. -
object
ExportJobOracle-allOf[1]
Nested Schema : ExportJob
Type:
objectTitle:
ExportJobDiscriminator: @type
Discriminator Values
The task that exports resources to a file.
Show Source
-
@baseType: string
The base type of the export job.
-
@schemaLocation: string
(uri)
A URI to a JSON-Schema file that defines additional attributes and relationships.
-
@type(required): string
The class type of the export job.
-
completionDate: string
(date-time)
The date and time when the export job completed.
-
contentType: string
The content type of the exported file.
-
creationDate: string
(date-time)
The date and time when the export job was created.
-
errorLog: string
The error log containing the failure reason for the export job.
-
href: string
The hyperlink reference to the export job.
-
id: integer
(int64)
The ID of the export job.
-
path: string
The path of the root resource used as the source for the export job.
-
query: string
Scopes the exported data.
-
status: string
Allowed Values:
[ "NOT_STARTED", "RUNNING", "SUCCEEDED", "FAILED", "COMPLETED", "ERROR", "BLOCKED", "READY", "CANCELLED", "CANCELLING" ]The status of the export job. -
url: string
The URL of the file that contains the exported data.
Nested Schema : ExportJobOracle-allOf[1]
Type:
Show Source
object-
createdBy: string
The name of the user who submitted the export job.
-
errorLogUrl: string
The URL of the error log.
-
exportOptions(required): object
ExportOptionsOracle
Title:
ExportOptionsOracleThe task that exports resources to a file. -
exportSummary: object
exportSummary
The summary of the export job.
Nested Schema : ExportOptionsOracle
Type:
objectTitle:
ExportOptionsOracleThe task that exports resources to a file.
Show Source
-
@baseType: string
The base type of the export option.
-
@schemaLocation: string
(uri)
A URI to a JSON-Schema file that defines additional attributes and relationships.
-
@type: string
The class type of the export option.
-
exportReferenced: boolean
Whether the export option has export referenced.
-
fileFormat: string
Allowed Values:
[ "CSV", "JSON" ]The file format associated with the export options. Valid values are CSV, and JSON. -
filenamePrefix: string
Maximum Length:
200The user defined optional file name prefix. -
filter: array
filter
A list of filters associated with the export option.
-
id: string
For a given resource type, this is the ID of the resource.
-
lastUpdate: object
TimePeriodOracle
Title:
TimePeriodOracleThe validity period of the related party. -
lifecycleStatus: string
The status of the export option.
-
name: string
For a given resource type, this is the name of the resource.
-
notificationUsers: array
notificationUsers
A list of notification users associated with the export option.
-
project: object
project
The project associated with the export options.
-
resourceType: array
resourceType
A list of resource types associated with the export option.
-
scheduleJob: object
ScheduleJobOracle
The schedule job resource.
Nested Schema : exportSummary
Type:
objectThe summary of the export job.
Show Source
-
id: integer
(int64)
The ID of the export job.
-
message: string
Optional text that provides more details about the export summary.
-
resources: array
resources
A list of resources included in the export summary.
-
totalExportObjects: integer
The total number of exported objects.
Nested Schema : filter
Type:
arrayA list of filters associated with the export option.
Show Source
-
Array of:
object ExportFilterOracle
Title:
ExportFilterOracleThe export filter resource.
Nested Schema : TimePeriodOracle
Type:
objectTitle:
TimePeriodOracleThe validity period of the related party.
Show Source
-
endDateTime: string
(date-time)
The end date and time of the time period.
-
startDateTime: string
(date-time)
The start date and time of the time period.
Nested Schema : notificationUsers
Type:
arrayA list of notification users associated with the export option.
Show Source
Nested Schema : project
Type:
objectThe project associated with the export options.
Show Source
-
id: string
The ID of the export option.
-
name: string
The name of the export option.
Nested Schema : resourceType
Type:
arrayA list of resource types associated with the export option.
Show Source
-
Array of:
string
Allowed Values:
[ "productRule", "package", "commercial_bundle", "service_bundle", "service", "device", "accessory", "productOffering", "productOfferingPrice", "priceplan", "productLine", "promotion", "policyRule", "pricingLogicAlgorithmSpecification", "balanceElement", "productSpecification", "serviceSpecification", "usageSpecification", "customerProfileSpecification", "pricelist", "customProfileSpecification", "taxServiceProvider", "catalog", "category", "entitlement", "priceTag" ]
Nested Schema : ScheduleJobOracle
Type:
objectThe schedule job resource.
Show Source
-
description: string
Indicates the description for the schedule.
-
endDateTime(required): string
(date-time)
The date and time when the schedule job ends.
-
name: string
The name of the schedule job.
-
recurrenceFields(required): object
recurrenceFields
The recurrence fields associated with the schedule job.
-
startDateTime(required): string
(date-time)
The date and time when the schedule job starts.
Nested Schema : ExportFilterOracle
Type:
objectTitle:
ExportFilterOracleThe export filter resource.
Show Source
-
field(required): string
The field or attribute name of the resource filter.
-
value(required): string
The value assigned to the export filter.
Nested Schema : recurrenceFields
Type:
objectThe recurrence fields associated with the schedule job.
Show Source
-
dayOfMonth: array
dayOfMonth
A list of day of months associated with the schedule job.
-
dayOfWeek: array
dayOfWeek
A list of day of weeks associated with the schedule job.
-
frequency(required): string
Allowed Values:
[ "ONCE", "HOURLY", "MINUTELY", "DAILY", "WEEKLY", "MONTHLY", "YEARLY" ]The frequency of the scheduled job. Valid values are ONCE, HOURLY, MINUTELY, DAILY, WEEKLY, MONTHLY, and YEARLY. -
hourInterval: integer
The hour duration between subsequent runs of scheduled job.
-
interval: integer
The duration between subsequent runs of scheduled job.
-
minuteInterval: integer
The minute duration between subsequent runs of scheduled job.
-
monthOfyear: array
monthOfyear
A list of month ofyears associated with the schedule job.
-
timeOfDay: object
timeOfDay
Indicates the time of day for schedule job recurrence.
-
weekOfMonth: array
weekOfMonth
A list of week of months associated with the schedule job.
-
year: integer
The year associated with the schedule job.
Nested Schema : dayOfMonth
Type:
arrayA list of day of months associated with the schedule job.
Show Source
-
Array of:
string
Indicates the day of month for schedule job recurrence.
Nested Schema : dayOfWeek
Type:
arrayA list of day of weeks associated with the schedule job.
Show Source
-
Array of:
string
Allowed Values:
[ "MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY", "SATURDAY", "SUNDAY" ]Indicates the day of week for schedule job recurrence. Valid values are MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY, and SUNDAY.
Nested Schema : monthOfyear
Type:
arrayA list of month ofyears associated with the schedule job.
Show Source
-
Array of:
string
Allowed Values:
[ "JANUARY", "FEBRUARY", "MARCH", "APRIL", "MAY", "JUNE", "JULY", "AUGUST", "SEPTEMBER", "OCTOBER", "NOVEMBER", "DECEMBER" ]Indicates the month of year for schedule job recurrence. Valid values are JANUARY, FEBRUARY, MARCH, APRIL, MAY, JUNE, JULY, AUGUST, SEPTEMBER, OCTOBER, NOVEMBER, and DECEMBER.
Nested Schema : timeOfDay
Type:
objectIndicates the time of day for schedule job recurrence.
Show Source
-
hour: integer
Minimum Value:
0Maximum Value:23The hour associated with the schedule job. -
minute: integer
Minimum Value:
0Maximum Value:59The minute associated with the schedule job. -
second: integer
Minimum Value:
0Maximum Value:59The second associated with the schedule job.
Nested Schema : weekOfMonth
Type:
arrayA list of week of months associated with the schedule job.
Show Source
-
Array of:
string
Allowed Values:
[ "FIRST", "SECOND", "THIRD", "FOURTH", "FIFTH", "LAST" ]Indicates the week of month for schedule job recurrence. Valid values are FIRST, SECOND, THIRD, FOURTH, FIFTH, and LAST.
Nested Schema : resources
Type:
arrayA list of resources included in the export summary.
Show Source
-
Array of:
object ExportSummaryResource
Title:
ExportSummaryResourceThe object that contains exported resource details, such as name and count.
Nested Schema : ExportSummaryResource
Type:
objectTitle:
ExportSummaryResourceThe object that contains exported resource details, such as name and count.
Show Source
-
count: integer
Indicates the number of resource exported.
-
name: string
The name of the export summary resource.
400 Response
Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
401 Response
Your request isn't authorized. The authentication credentials included with this request are missing or invalid.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
404 Response
The resource with the specified URI couldn't be found.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
500 Response
The server encountered something unexpected that prevented it from completing the request.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
501 Response
The server doesn't support the functionality required to fulfill the request.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
Examples
The following example shows how to retrieve export job by submitting a get request on the REST resource using cURL.
curl -u username:password -X GET https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v5/exportJobExample of Response Body
The following example shows the contents of the response body in JSON format.
[
{
"id": 130129,
"@type": "ExportJobOracle",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/exportJob/130129",
"status": "SUCCEEDED",
"creationDate": "2021-03-11 12:26:58.073",
"completionDate": "2021-03-11 12:27:39.02",
"exportOptions": {
"exportReferenced": false,
"filenamePrefix": "POFile001",
"lifecycleStatus": "In design",
"resourceType": [
"device"
]
},
"createdBy": "booth",
"path": "device",
"url": "v1/exportFile/POFile001_130129.json",
"exportSummary": {
"id": 130129,
"totalExportObjects": 18,
"resources": [
{
"name": "productOffering",
"count": 18
}
]
}
},
{
"id": 130114,
"@type": "ExportJobOracle",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/exportJob/130114",
"status": "SUCCEEDED",
"creationDate": "2021-03-11 12:20:46.157",
"completionDate": "2021-03-11 12:21:38.04",
"exportOptions": {
"exportReferenced": false,
"filenamePrefix": "Specfile001",
"resourceType": [
"productSpecification"
],
"id": "SimpleSpec008",
"name": "SimpleSpec008"
},
"createdBy": "booth",
"path": "productSpecification",
"url": "v1/exportFile/Specfile001_130114.json",
"exportSummary": {
"id": 130114,
"totalExportObjects": 1,
"resources": [
{
"name": "productSpecification",
"count": 1
}
]
}
},
{
"id": 130109,
"@type": "ExportJobOracle",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/exportJob/130109",
"status": "SUCCEEDED",
"creationDate": "2021-03-11 12:20:28.027",
"completionDate": "2021-03-11 12:21:04.91",
"exportOptions": {
"exportReferenced": false,
"filenamePrefix": "Package001",
"resourceType": [
"productSpecification"
],
"id": "SimpleSpec008",
"name": "SimpleSpec008"
},
"createdBy": "booth",
"path": "productSpecification",
"url": "v1/exportFile/Package001_130109.json",
"exportSummary": {
"id": 130109,
"totalExportObjects": 1,
"resources": [
{
"name": "productSpecification",
"count": 1
}
]
}
},
{
"id": 130088,
"@type": "ExportJobOracle",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/exportJob/130088",
"status": "SUCCEEDED",
"creationDate": "2021-03-11 12:05:38.863",
"completionDate": "2021-03-11 12:06:37.784",
"exportOptions": {
"exportReferenced": false,
"project": {
"id": "MarchRegProj2027",
"name": "MarchRegProj2027"
},
"filenamePrefix": "MyProjPromO123"
},
"createdBy": "booth",
"url": "v1/exportFile/MyProjPromO123_130088.json",
"exportSummary": {
"id": 130088,
"totalExportObjects": 2,
"resources": [
{
"name": "category",
"count": 1
},
{
"name": "catalog",
"count": 1
}
]
}
},
{
"id": 130011,
"@type": "ExportJobOracle",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/exportJob/130011",
"status": "SUCCEEDED",
"creationDate": "2021-03-11 11:51:02.145",
"completionDate": "2021-03-11 11:57:47.935",
"exportOptions": {
"exportReferenced": false,
"filenamePrefix": "FileExport001",
"lifecycleStatus": "In design",
"resourceType": [
"package",
"commercial_bundle",
"service_bundle",
"service",
"device",
"accessory",
"priceplan",
"catalog",
"category",
"pricingLogicAlgorithmSpecification",
"constraint",
"productSpecification"
]
},
"createdBy": "booth",
"url": "v1/exportFile/FileExport001_130011.json",
"exportSummary": {
"id": 130011,
"totalExportObjects": 55,
"resources": [
{
"name": "productOfferingPrice",
"count": 13
},
{
"name": "category",
"count": 3
},
{
"name": "catalog",
"count": 2
},
{
"name": "productSpecification",
"count": 12
},
{
"name": "productOffering",
"count": 25
}
]
}
},
{
"id": 130008,
"@type": "ExportJobOracle",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/exportJob/130008",
"status": "SUCCEEDED",
"creationDate": "2021-03-11 11:50:46.73",
"completionDate": "2021-03-11 11:56:32.476",
"exportOptions": {
"exportReferenced": false,
"filenamePrefix": "FileExport001",
"lifecycleStatus": "In design",
"resourceType": [
"package",
"commercial_bundle",
"service_bundle",
"service",
"device",
"accessory",
"priceplan",
"catalog",
"category",
"pricingLogicAlgorithmSpecification",
"constraint",
"productSpecification"
]
},
"createdBy": "booth",
"url": "v1/exportFile/FileExport001_130008.json",
"exportSummary": {
"id": 130008,
"totalExportObjects": 55,
"resources": [
{
"name": "productOfferingPrice",
"count": 13
},
{
"name": "category",
"count": 3
},
{
"name": "catalog",
"count": 2
},
{
"name": "productSpecification",
"count": 12
},
{
"name": "productOffering",
"count": 25
}
]
}
},
{
"id": 130002,
"@type": "ExportJobOracle",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/exportJob/130002",
"status": "SUCCEEDED",
"creationDate": "2021-03-11 11:50:30.447",
"completionDate": "2021-03-11 11:55:17.035",
"exportOptions": {
"exportReferenced": false,
"filenamePrefix": "FileExport001",
"lifecycleStatus": "In design",
"resourceType": [
"package",
"commercial_bundle",
"service_bundle",
"service",
"device",
"accessory",
"priceplan",
"catalog",
"category",
"pricingLogicAlgorithmSpecification",
"constraint",
"productSpecification"
]
},
"createdBy": "booth",
"url": "v1/exportFile/FileExport001_130002.json",
"exportSummary": {
"id": 130002,
"totalExportObjects": 55,
"resources": [
{
"name": "productOfferingPrice",
"count": 13
},
{
"name": "category",
"count": 3
},
{
"name": "catalog",
"count": 2
},
{
"name": "productSpecification",
"count": 12
},
{
"name": "productOffering",
"count": 25
}
]
}
},
{
"id": 130000,
"@type": "ExportJobOracle",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/exportJob/130000",
"status": "SUCCEEDED",
"creationDate": "2021-03-11 11:50:24.475",
"completionDate": "2021-03-11 11:54:01.717",
"exportOptions": {
"exportReferenced": false,
"filenamePrefix": "FileExport001",
"lifecycleStatus": "In design",
"resourceType": [
"package",
"commercial_bundle",
"service_bundle",
"service",
"device",
"accessory",
"priceplan",
"catalog",
"category",
"pricingLogicAlgorithmSpecification",
"constraint",
"productSpecification"
]
},
"createdBy": "booth",
"url": "v1/exportFile/FileExport001_130000.json",
"exportSummary": {
"id": 130000,
"totalExportObjects": 55,
"resources": [
{
"name": "productOfferingPrice",
"count": 13
},
{
"name": "category",
"count": 3
},
{
"name": "catalog",
"count": 2
},
{
"name": "productSpecification",
"count": 12
},
{
"name": "productOffering",
"count": 25
}
]
}
},
{
"id": 129997,
"@type": "ExportJobOracle",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/exportJob/129997",
"status": "SUCCEEDED",
"creationDate": "2021-03-11 11:50:17.363",
"completionDate": "2021-03-11 11:52:46.39",
"exportOptions": {
"exportReferenced": false,
"filenamePrefix": "FileExport001",
"lifecycleStatus": "In design",
"resourceType": [
"package",
"commercial_bundle",
"service_bundle",
"service",
"device",
"accessory",
"priceplan",
"catalog",
"category",
"pricingLogicAlgorithmSpecification",
"constraint",
"productSpecification"
]
},
"createdBy": "booth",
"url": "v1/exportFile/FileExport001_129997.json",
"exportSummary": {
"id": 129997,
"totalExportObjects": 55,
"resources": [
{
"name": "productOfferingPrice",
"count": 13
},
{
"name": "category",
"count": 3
},
{
"name": "catalog",
"count": 2
},
{
"name": "productSpecification",
"count": 12
},
{
"name": "productOffering",
"count": 25
}
]
}
},
{
"id": 129995,
"@type": "ExportJobOracle",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/exportJob/129995",
"status": "SUCCEEDED",
"creationDate": "2021-03-11 11:50:00.343",
"completionDate": "2021-03-11 11:51:31.102",
"exportOptions": {
"exportReferenced": false,
"filenamePrefix": "FileExport001",
"lifecycleStatus": "In design",
"resourceType": [
"package",
"commercial_bundle",
"service_bundle",
"service",
"device",
"accessory",
"priceplan",
"catalog",
"category",
"pricingLogicAlgorithmSpecification",
"constraint",
"productSpecification"
]
},
"createdBy": "booth",
"url": "v1/exportFile/FileExport001_129995.json",
"exportSummary": {
"id": 129995,
"totalExportObjects": 55,
"resources": [
{
"name": "productOfferingPrice",
"count": 13
},
{
"name": "category",
"count": 3
},
{
"name": "catalog",
"count": 2
},
{
"name": "productSpecification",
"count": 12
},
{
"name": "productOffering",
"count": 25
}
]
}
},
{
"id": 129978,
"@type": "ExportJobOracle",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/exportJob/129978",
"status": "ERROR",
"creationDate": "2021-03-11 11:47:29.566",
"completionDate": "2021-03-11 11:49:25.498",
"exportOptions": {
"exportReferenced": true,
"filenamePrefix": "FileExport001",
"lifecycleStatus": "In design",
"resourceType": [
"package",
"commercial_bundle",
"service_bundle",
"service",
"device",
"accessory",
"priceplan",
"catalog",
"category",
"productLine",
"pricingLogicAlgorithmSpecification",
"constraint",
"productSpecification"
]
},
"createdBy": "booth",
"errorLog": "Error retrieval reference data.\nError exporting for resource during Reference handling \"productLine\".\nReference subJobId \"129994\".\nGiven resourceId \"AOF_RT_22_1_2021_11_9_28\".\nError Message:The requested resource isn''t available because it''s invalid or incorrect. (ATC-5325040)\n\n",
"errorLogUrl": "v1/exportFile/129978.log"
},
{
"id": 129942,
"@type": "ExportJobOracle",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/exportJob/129942",
"status": "SUCCEEDED",
"creationDate": "2021-03-11 11:20:34.966",
"completionDate": "2021-03-11 11:21:32.023",
"exportOptions": {
"exportReferenced": true,
"filenamePrefix": "Package001",
"resourceType": [
"catalog"
],
"id": "RamKrishnaNew0077",
"name": "RamKrishna0077"
},
"createdBy": "booth",
"path": "catalog",
"url": "v1/exportFile/Package001_129942.json",
"exportSummary": {
"id": 129942,
"totalExportObjects": 2,
"resources": [
{
"name": "category",
"count": 1
},
{
"name": "catalog",
"count": 1
}
]
}
},
{
"id": 129836,
"@type": "ExportJobOracle",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/exportJob/129836",
"status": "SUCCEEDED",
"creationDate": "2021-03-11 10:24:48.571",
"completionDate": "2021-03-11 10:26:27.307",
"exportOptions": {
"exportReferenced": true,
"filenamePrefix": "Package001",
"resourceType": [
"package"
],
"id": "BOF_27_1_2021_18_7_58",
"name": "BOF_27_1_2021_18_7_58"
},
"createdBy": "booth",
"path": "package",
"url": "v1/exportFile/Package001_129836.json",
"exportSummary": {
"id": 129836,
"totalExportObjects": 13,
"resources": [
{
"name": "productOfferingPrice",
"count": 5
},
{
"name": "productLine",
"count": 2
},
{
"name": "balanceElement",
"count": 1
},
{
"name": "pricelist",
"count": 1
},
{
"name": "productSpecification",
"count": 1
},
{
"name": "productOffering",
"count": 3
}
]
}
},
{
"id": 129807,
"@type": "ExportJobOracle",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/exportJob/129807",
"status": "ERROR",
"creationDate": "2021-03-11 10:04:51.036",
"completionDate": "2021-03-11 10:05:52.277",
"exportOptions": {
"exportReferenced": true,
"filenamePrefix": "5thTestCase009",
"lifecycleStatus": "In design",
"resourceType": [
"device"
]
},
"createdBy": "booth",
"path": "device",
"errorLog": "Error retrieval reference data.\nError exporting for resource during Reference handling \"productLine\".\nReference subJobId \"129815\".\nGiven resourceId \"AOF_RT_22_1_2021_11_9_28\".\nError Message:The requested resource isn''t available because it''s invalid or incorrect. (ATC-5325040)\n\n",
"errorLogUrl": "v1/exportFile/129807.log"
},
{
"id": 129782,
"@type": "ExportJobOracle",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/exportJob/129782",
"status": "ERROR",
"creationDate": "2021-03-11 09:56:15.177",
"completionDate": "2021-03-11 09:58:10.236",
"exportOptions": {
"exportReferenced": true,
"filenamePrefix": "TestXpor001",
"resourceType": [
"commercial_bundle",
"service",
"device",
"accessory",
"priceplan",
"catalog",
"category",
"productLine",
"pricingLogicAlgorithmSpecification"
]
},
"createdBy": "booth",
"errorLog": "Error retrieval reference data.\nError exporting for resource during Reference handling \"productLine\".\nReference subJobId \"129799\".\nGiven resourceId \"AOF_RT_22_1_2021_11_9_28\".\nError Message:The requested resource isn''t available because it''s invalid or incorrect. (ATC-5325040)\n\n",
"errorLogUrl": "v1/exportFile/129782.log"
},
{
"id": 95398,
"@type": "ExportJobOracle",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/exportJob/95398",
"status": "SUCCEEDED",
"creationDate": "2021-02-16 15:25:37.092",
"completionDate": "2021-02-16 15:26:26.998",
"exportOptions": {
"exportReferenced": false,
"filenamePrefix": "test21File",
"resourceType": [
"productSpecification"
],
"id": "SimpleSpec008",
"name": "SimpleSpec008"
},
"createdBy": "booth",
"path": "productSpecification",
"url": "v1/exportFile/test21File_95398.json",
"exportSummary": {
"id": 95398,
"totalExportObjects": 1,
"resources": [
{
"name": "productSpecification",
"count": 1
}
]
}
},
{
"id": 74212,
"@type": "ExportJobOracle",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/exportJob/74212",
"status": "SUCCEEDED",
"creationDate": "2021-01-29 11:16:35.862",
"completionDate": "2021-01-29 11:17:23.543",
"exportOptions": {
"exportReferenced": false,
"filenamePrefix": "test21File",
"resourceType": [
"productSpecification"
],
"id": "SimpleSpec008",
"name": "SimpleSpec008"
},
"createdBy": "booth",
"path": "productSpecification",
"url": "v1/exportFile/test21File_74212.json",
"exportSummary": {
"id": 74212,
"totalExportObjects": 1,
"resources": [
{
"name": "productSpecification",
"count": 1
}
]
}
},
{
"id": 72795,
"@type": "ExportJobOracle",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/exportJob/72795",
"status": "ERROR",
"creationDate": "2021-01-28 05:30:34.357",
"completionDate": "2021-01-28 05:30:52.117",
"exportOptions": {
"exportReferenced": false,
"filenamePrefix": "exp",
"resourceType": [
"productOfferingPrice"
],
"id": "2867288252-1611307289044",
"name": "2867288252-1611307289044"
},
"createdBy": "booth",
"path": "productOfferingPrice",
"errorLog": "",
"errorLogUrl": "v1/exportFile/72795.log"
},
{
"id": 72794,
"@type": "ExportJobOracle",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/productCatalogManagement/v4/exportJob/72794",
"status": "ERROR",
"creationDate": "2021-01-28 05:29:42.743",
"completionDate": "2021-01-28 05:29:53.832",
"exportOptions": {
"exportReferenced": true,
"filenamePrefix": "exp",
"resourceType": [
"productOfferingPrice"
],
"id": "2867288252-1611307289044",
"name": "2867288252-1611307289044"
},
"createdBy": "booth",
"path": "productOfferingPrice",
"errorLog": "",
"errorLogUrl": "v1/exportFile/72794.log"
}
]